> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar QR Codes Estáticos

> Use este endpoint para listar todos os BR Codes Pix estáticos de uma conta com
filtros opcionais. Retorna um array vazio [] se nenhum QR Code corresponder aos
critérios.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/brcode/static
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/brcode/static:
    get:
      tags:
        - QR Codes API
      summary: Listar QR Codes Estáticos
      description: >-
        Use este endpoint para listar todos os BR Codes Pix estáticos de uma
        conta com

        filtros opcionais. Retorna um array vazio [] se nenhum QR Code
        corresponder aos

        critérios.
      parameters:
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/Limit'
      responses:
        '200':
          description: Lista de QR Codes estáticos recuperada com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StaticBRCodesListOutput'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0009:
                  $ref: '#/components/examples/ErrorPIX0009'
                ErrorPIX0010:
                  $ref: '#/components/examples/ErrorPIX0010'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    Page:
      name: page
      in: query
      description: Número da página para paginação.
      required: false
      example: 1
      schema:
        type: integer
        minimum: 1
        default: 1
    Limit:
      name: limit
      in: query
      description: Número máximo de itens por página.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
  schemas:
    StaticBRCodesListOutput:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/StaticBRCodeOutput'
        page:
          type: integer
          example: 1
        limit:
          type: integer
          example: 20
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    StaticBRCodeOutput:
      type: object
      properties:
        id:
          type: string
          description: Identificador único do QR Code.
          example: 019c96a0-0bf7-7060-8f39-1bfbcb9168ca
        emv:
          type: string
          description: Payload EMV do QR Code.
          example: 00020126580014br.gov.bcb.pix...
        base64:
          type: string
          description: Imagem do QR Code codificada em Base64 (se solicitada).
        receiverKey:
          type: string
          description: Chave Pix.
          example: '+5511999999999'
        amount:
          type: string
          description: Valor fixo (se definido).
          example: '100.00'
        description:
          type: string
          description: Descrição.
          example: 'Pagamento do pedido #12345'
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0009:
      summary: Missing Query Params in Request
      value:
        code: PIX-0009
        title: Missing Query Params in Request
        message: >-
          Your request is missing one or more required query params. Please
          refer to the documentation to ensure all necessary query params are
          included in your request.
    ErrorPIX0010:
      summary: Invalid Query Param in Request
      value:
        code: PIX-0010
        title: Invalid Query Param in Request
        message: >-
          One or more query params are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each query param.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````